Bug 1123942 - Cannot attach a disk image to a drive via local browsing in virt-manager if it's part of an inactive storage pool
Summary: Cannot attach a disk image to a drive via local browsing in virt-manager if i...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 23
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 17:11 UTC by Adam Williamson
Modified: 2015-11-22 02:15 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-22 02:15:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1123940 None None None Never

Internal Links: 1123940

Description Adam Williamson 2014-07-28 17:11:39 UTC
This may be considered NOTABUG, but in conjunction with #1123940 it's rather annoying, so I thought I'd mention it.

Say I have a storage pool /share/data/isos . Due to #1123940 it's not being started on boot, but I've forgotten about #1123940 again and I usually actually attach ISOs to VMs by browsing anyway. So I open the VM in virt-manager, click on the CD drive, click Connect, browse to /share/data/isos/foo.iso , click Open, and everything looks fine. Click OK, and I get:

Input Error
Invalid Media Path
Could not define storage pool: operation failed: Storage source conflict with pool: 'isos'

Grr. I have to go start the pool manually before I can attach the image. Annoying, like I said.

Comment 1 Fedora End Of Life 2015-11-04 15:17:10 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Cole Robinson 2015-11-22 02:15:22 UTC
F23 virt-manager will start the pool in this case, rather than hit this collision.


Note You need to log in before you can comment on or make changes to this bug.